Bug 1413604 (CVE-2017-0381) - CVE-2017-0381 opus: Memory corruption during media file and data processing
Summary: CVE-2017-0381 opus: Memory corruption during media file and data processing
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-0381
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1413605 1413606
Blocks: 1413608
TreeView+ depends on / blocked
 
Reported: 2017-01-16 13:41 UTC by Andrej Nemec
Modified: 2019-09-29 14:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-25 08:19:35 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-01-16 13:41:07 UTC
A integer overflow vulnerability in silk/NLSF_stabilize.c in libopus could enable an attacker using a specially crafted file to cause an application using libopus to crash during media file and data processing under specific conditions.

Upstream patch:

https://github.com/xiph/opus/commit/79e8f527b0344b0897a65be35e77f7885bd99409

References:

https://git.xiph.org/?p=opus.git;a=commit;h=70a3d641b
https://source.android.com/security/bulletin/2017-01-01.html

Comment 1 Andrej Nemec 2017-01-16 13:41:52 UTC
Created opus tracking bugs for this issue:

Affects: fedora-all [bug 1413605]
Affects: epel-all [bug 1413606]


Note You need to log in before you can comment on or make changes to this bug.